//+------------------------------------------------------------------+
//|                                                       Target.mq4 |
//|                                Copyright  2007,   |
//|                                         mailto: urgunt@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007,  "
#property link      "mailto: urgunt@gmail.com"

#property indicator_separate_window

#property indicator_buffers 1
#property indicator_color1 LimeGreen
#property indicator_width1 1

extern int nBars=100;
extern bool bFuture=false;
//---- buffers
double Tar[];

int init()	
{  
//---- indicator line
	SetIndexBuffer(0,Tar); SetIndexStyle(0,DRAW_LINE); 
	return(0);  
}
//------------------------------------------------------------------ Right
int deinit()	
{	
	return(0);  
}
//------------------------------------------------------------------ start
int start()
{ 
	int i;
	double Up, Dn, Max=0.0, Min=10.0;
	//----
	i=Bars-1;
	while(i>nBars)
	{
		if (bFuture)
		{
			Up=High[iHighest(Symbol(), 0, MODE_HIGH, nBars, i-nBars+1)];
			Dn=Low[iLowest(Symbol(), 0, MODE_LOW, nBars, i-nBars+1)];
		}
		else 
		{
			Up=High[iHighest(Symbol(), 0, MODE_HIGH, nBars, i)];
			Dn=Low[iLowest(Symbol(), 0, MODE_LOW, nBars, i)];
		}
		Up=Up-Open[i]; Dn=Open[i]-Dn;
		Tar[i]=(Up-Dn)/(Up+Dn);
		if (Tar[i]>Max) Max=Tar[i];
		if (Tar[i]<Min) Min=Tar[i];
		i--;
	}
	Comment("Max="+Max+" | Min="+Min);
	return(0);
}
//+------------------------------------------------------------------+